Get a list of custom types crm.type.list
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
crmWho can execute the method: any user with administrative access to the CRM section
This method retrieves a list of smart process settings.
Method Parameters
|
Name |
Description |
|
order |
Object format:
Possible values for |
|
filter |
Object format:
Possible values for The filter can have unlimited nesting and number of conditions. You can add a prefix to the
|
|
start |
This parameter is used for pagination control. The page size of results is always static — 50 records. To select the second page of results, pass the value The formula for calculating the
|
Required parameters are marked with *
Examples
How to Use Examples in Documentation
-
Get a list of all smart processes where
titlecontains either5or0. Sort the resulting list in descending order byid.cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":[{"logic":"OR",{"%title":"5"},{"%title":"0"}]},"order":{"id":"DESC"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.type.listcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":[{"logic":"OR",{"%title":"5"},{"%title":"0"}]},"order":{"id":"DESC"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.type.listBX24.callMethod( 'crm.type.list', { filter: { "0": { logic: 'OR', "0": { "%title": "5", }, "1": { "%title": "0", }, }, }, order: { id: 'DESC', }, }, (result) => { if (result.error()) { console.error(result.error()); return; } console.info(result.data()); }, );require_once('crest.php'); $result = CRest::call( 'crm.type.list', [ 'filter' => [ [ 'logic' => 'OR', [ '%title' => '5', ], [ '%title' => '0', ], ], ], 'order' => [ 'id' => 'DESC', ], ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Get a list of smart processes where:
- Automation rules and triggers are enabled (
isAutomationEnabled) - Business process designer is enabled (
isBizProcEnabled) - Custom sales funnels and tunnels are enabled (
isCategoriesEnabled) - Custom stages and Kanban are enabled (
isClientEnabled)
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":{"isAutomationEnabled":"Y","isBizProcEnabled":"Y","isCategoriesEnabled":"Y","isClientEnabled":"Y"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.type.listcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":{"isAutomationEnabled":"Y","isBizProcEnabled":"Y","isCategoriesEnabled":"Y","isClientEnabled":"Y"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.type.listBX24.callMethod( 'crm.type.list', { filter: { isAutomationEnabled: 'Y', isBizProcEnabled: "Y", isCategoriesEnabled: "Y", isClientEnabled: "Y", }, }, (result) => { if (result.error()) { console.error(result.error()); return; } console.info(result.data()); }, );require_once('crest.php'); $result = CRest::call( 'crm.type.list', [ 'filter' => [ 'isAutomationEnabled' => 'Y', 'isBizProcEnabled' => 'Y', 'isCategoriesEnabled' => 'Y', 'isClientEnabled' => 'Y', ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; - Automation rules and triggers are enabled (
Response Handling
HTTP status: 200
{
"result": {
"types": [
{
"id": 37,
"title": "Smart Process #20",
"code": "",
"createdBy": 1,
"entityTypeId": 1256,
"customSectionId": null,
"isCategoriesEnabled": "Y",
"isStagesEnabled": "N",
"isBeginCloseDatesEnabled": "Y",
"isClientEnabled": "Y",
"isUseInUserfieldEnabled": "Y",
"isLinkWithProductsEnabled": "N",
"isMycompanyEnabled": "Y",
"isDocumentsEnabled": "Y",
"isSourceEnabled": "Y",
"isObserversEnabled": "Y",
"isRecyclebinEnabled": "Y",
"isAutomationEnabled": "Y",
"isBizProcEnabled": "N",
"isSetOpenPermissions": "N",
"isPaymentsEnabled": "N",
"isCountersEnabled": "N",
"createdTime": "2024-07-08T17:24:55+02:00",
"updatedTime": "2024-07-08T17:24:55+02:00",
"updatedBy": 1
},
{
"id": 32,
"title": "Smart Process #15",
"code": "",
"createdBy": 1,
"entityTypeId": 1246,
"customSectionId": null,
"isCategoriesEnabled": "N",
"isStagesEnabled": "Y",
"isBeginCloseDatesEnabled": "N",
"isClientEnabled": "Y",
"isUseInUserfieldEnabled": "Y",
"isLinkWithProductsEnabled": "Y",
"isMycompanyEnabled": "N",
"isDocumentsEnabled": "N",
"isSourceEnabled": "N",
"isObserversEnabled": "N",
"isRecyclebinEnabled": "N",
"isAutomationEnabled": "N",
"isBizProcEnabled": "Y",
"isSetOpenPermissions": "Y",
"isPaymentsEnabled": "N",
"isCountersEnabled": "N",
"createdTime": "2024-07-08T17:24:52+02:00",
"updatedTime": "2024-07-08T17:24:52+02:00",
"updatedBy": 1
},
{
"id": 27,
"title": "Smart Process #10",
"code": "",
"createdBy": 1,
"entityTypeId": 1236,
"customSectionId": null,
"isCategoriesEnabled": "N",
"isStagesEnabled": "Y",
"isBeginCloseDatesEnabled": "Y",
"isClientEnabled": "Y",
"isUseInUserfieldEnabled": "N",
"isLinkWithProductsEnabled": "N",
"isMycompanyEnabled": "Y",
"isDocumentsEnabled": "N",
"isSourceEnabled": "Y",
"isObserversEnabled": "N",
"isRecyclebinEnabled": "N",
"isAutomationEnabled": "Y",
"isBizProcEnabled": "Y",
"isSetOpenPermissions": "Y",
"isPaymentsEnabled": "N",
"isCountersEnabled": "N",
"createdTime": "2024-07-08T17:24:50+02:00",
"updatedTime": "2024-07-08T17:24:50+02:00",
"updatedBy": 1
},
{
"id": 22,
"title": "Smart Process #5",
"code": "",
"createdBy": 1,
"entityTypeId": 1226,
"customSectionId": null,
"isCategoriesEnabled": "Y",
"isStagesEnabled": "N",
"isBeginCloseDatesEnabled": "N",
"isClientEnabled": "N",
"isUseInUserfieldEnabled": "Y",
"isLinkWithProductsEnabled": "Y",
"isMycompanyEnabled": "N",
"isDocumentsEnabled": "N",
"isSourceEnabled": "Y",
"isObserversEnabled": "Y",
"isRecyclebinEnabled": "Y",
"isAutomationEnabled": "N",
"isBizProcEnabled": "Y",
"isSetOpenPermissions": "Y",
"isPaymentsEnabled": "N",
"isCountersEnabled": "N",
"createdTime": "2024-07-08T17:24:48+02:00",
"updatedTime": "2024-07-08T17:24:48+02:00",
"updatedBy": 1
}
]
},
"time": {
"start": 1720516793.835427,
"finish": 1720516794.697913,
"duration": 0.8624858856201172,
"processing": 0.07323503494262695,
"date_start": "2024-07-09T11:19:53+02:00",
"date_finish": "2024-07-09T11:19:54+02:00",
"operating": 0
},
"total": 4
}
Returned Data
|
Name |
Description |
|
result |
The root element of the response. Contains a single key |
|
types |
A list of smart processes, each corresponding to the structure of the type object |
|
time |
Information about the request execution time |
|
total |
The total number of records found |
Error Handling
HTTP status: 400
{
"error": "ACCESS_DENIED",
"error_description": "Access denied"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Status |
Code |
Description |
Value |
|
|
|
Action allowed only for intranet users |
Occurs if the user is not an intranet user |
|
|
|
Access denied |
Occurs if the user does not have administrative rights in CRM |
|
|
|
Invalid filter: field |
Occurs when passing a field |
|
|
|
Invalid filter: field |
Occurs when passing an incorrect |
|
|
|
Invalid order: field |
Occurs when passing a field |
|
|
|
Invalid order: allowed sort directions are |
Occurs when passing an incorrect |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not permitted for calls using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The HTTPS protocol is required for method calls |
|
|
|
The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it |
|
|
|
The REST API is only available on commercial plans |
|
|
|
The user associated with the access token or webhook used to call the method lacks the necessary permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Smart Processes: Overview of Methods
- Create a new custom type crm.type.add
- Update User Type crm.type.update
- Get the user type by id crm.type.get
- Get the user type by entityTypeId crm.type.getByEntityTypeId
- Delete user type crm.type.delete
- Get Custom Type Fields crm.type.fields
- How to Create a Custom Field in a Smart Process
- How to Create a New Sales Funnel with Stages in a Smart Process